Page MenuHomeFreeBSD

Fix net/qt4-network with OpenSSL 1.1.1
ClosedPublic

Authored by adridg on Oct 8 2018, 1:33 PM.

Details

Summary

Took original patch, added DEFINEFUNC and RESOLVEFUNC from
Arch patches, then fixed for use of get0.

Test Plan
  • build and run quiterss
  • build and run smtube

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

adridg created this revision.Oct 8 2018, 1:33 PM
antoine added inline comments.Oct 8 2018, 2:19 PM
net/qt4-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols.cpp
13 ↗(On Diff #48893)

Should ithe X509_get_serialNumber lines be under OPENSSL_VERSION_NUMBER higher than 0x101..?

adridg marked 2 inline comments as done.Oct 8 2018, 4:05 PM
adridg added inline comments.
net/qt4-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols.cpp
13 ↗(On Diff #48893)

No. The Arch patch adds this outside of the #if as well, and the function is present in OpenSSL 1.0.2 already. It might be a spurious addition, but here I'd prefer to just follow along.

linimon retitled this revision from Fix qt4-network with OpenSSL 1.1.1 to Fix net/qt4-network with OpenSSL 1.1.1.Oct 9 2018, 2:53 PM
linimon added a subscriber: linimon.
mat added inline comments.Oct 13 2018, 2:16 PM
net/qt4-network/Makefile
6 ↗(On Diff #48893)

No need to bump, it was not building before.

antoine added inline comments.Oct 13 2018, 3:07 PM
net/qt4-network/Makefile
6 ↗(On Diff #48893)

The binaries change, it needs a bump.

sbruno accepted this revision.Oct 18 2018, 1:50 PM
sbruno added a subscriber: sbruno.

This allows audio/murmur to build again.

This revision is now accepted and ready to land.Oct 18 2018, 1:50 PM
adridg marked an inline comment as done.Oct 18 2018, 3:20 PM

Note, though, that "ports dependent on qt4-network build" and "ports dependent on qt4-network actually do anything useful in the face of an SSL connection" are two different things. I could land this to get things to build again, but I'm fairly certain it doesn't do the right thing. At least, I couldn't get .. um whatever two ports I tried which use qt4-network .. to work (quterss? smtube? maybe those two). However, I can't tell the difference between "doesn't work because of SSL" and "doesn't work because of something else", since I've never used either of those before.

I'll test this against clementine-player today and see if it can do SSL/TLS connections for streaming. That should give us a bit of a warm fuzzy.

des added a subscriber: des.Oct 18 2018, 10:16 PM
des added inline comments.
net/qt4-network/files/patch-src_network_ssl_qsslcertificate.cpp
41–63 ↗(On Diff #48893)

This can be simplified by defining keyType in both cases, with a different initial value (but why on Earth did they not use a switch?)

This definitely fixes the build and runtime of clementine-player (qt4).

It looks like the fetching of album covers and such stopped working though. Which appears to be via https. I suspect there are some tweaks still to be made in here.

fluffy added a subscriber: fluffy.Oct 26 2018, 2:49 AM
swills added a subscriber: swills.Nov 9 2018, 3:43 PM
romain added a subscriber: romain.Nov 24 2018, 7:20 AM
This revision was automatically updated to reflect the committed changes.